Cydia Impactorがv0.9.46へアップデート、iOS 12に対応&Extender系も含む注意点アリ

(8)

Cydia Impactorがアップデートされ、iOS 12対応となっています。また、同時に不具合に関しても修正が入っているようです。

ただし、いくつか注意すべき報告も出ているようなので、その点についても後述します。

スポンサーリンク

Cydia Impactor 0.9.46

Cydia Impactor 0.9.46】へとアップデートされました。

アップデートを行う場合、Cydia Impactorのメニュー「Impactor > Check for Update…」から可能。
または、以下のリンクから最新版をダウンロードしてください。

Mac OS X版
Windows版
Linux 32bit版
Linux 64bit版

iOS 12に対応

Cydia ImpactorをiOS 12で使用した際、アプリが起動しなかったり…などの不具合が出ていましたが、それらが解消され、iOS 12対応となりました。
また、同時にSSL関連の不具合&使い勝手が向上している様です。

update-cydia-impactor-v0946-support-ios12-and-fix-2

注意点

私の環境では確認できていないのですが、一部でImpactor使用時にクラッシュなどの不具合が報告されているようです。
特に、Windows版では動作が不安定になりやすいともされている様子です。一応ご注意ください。

Extender系は…

Cydia Impactorのアップデートに伴い、Extender系の脱獄アプリを使用している場合、そちらのアップデートも行うことが可能になります(CydiaからExtender系を再インストールするだけでOK)。

ただ、先述した注意点の通り、Extender側でも一部クラッシュ等の問題が報告されています。
iOS 11.x以下で使用している場合、前バージョンでも今のところ問題ありませんので、現時点で何か大きな問題が発生している…という方以外は少し様子見をしたほうが安全かなと思います。

基本的には多くの場合Cydia Impactor 0.9.46を使用しても大丈夫だと思いますが、報告どおり…一部では不具合が出てしまっている場合があるようなので、アップデートする際はご注意ください。
ちなみに、0.9.45は以下のリンクからダウンロード可能です。アップデート後、問題が発生した場合はダウングレードしてご使用ください。

Cydia Impactor 0.9.45(Mac OS X版)
Cydia Impactor 0.9.45(Windows版)
Cydia Impactor 0.9.45(Linux 32bit版)
Cydia Impactor 0.9.45(Linux 64bit版)

コメント

  1. iPhone X 前まで、bufferのエラーが出てました…

  2. 2フェイズ認証してると、App用パスワードがいるって今日まで知らないで数時間焦ってたひとがここにいます…

  3. VerifyingApplicationから進まない原因ってなんですか

    • どの環境に、どのアプリをインストールしようとしているか…にもよるため正確な事が言えないのですが…
      まずは、2段階認証を有効にしているApple IDを使用している場合は、新たにApp用パスワードを発行して、そちらを使ってみてください。

  4. 今DLしたところ、0.9.47になってました(Win版)。
    不安定という所が修正されたのかな?

    • はい、どうやらその様です。
      報告を見てみると、前バージョンでクラッシュ報告をしていた方の多くが使えるようになったと再報告してくれているので、安定もしているようですね!

  5. 以前記事にされていたwin版のエラー160って改善されてるんですかね?

    • はい、改善されているはずです。
      ただ、新たに別の不具合が出ているようですが…